dm-mpath.c: m->nr_paths is now redundant
--- diff/drivers/md/dm-mpath.c	2004-02-25 14:43:36.000000000 +0000
+++ source/drivers/md/dm-mpath.c	2004-02-25 14:42:09.000000000 +0000
@@ -63,7 +63,6 @@ struct multipath {
 	struct list_head list;
 	struct dm_target *ti;
 
-	unsigned nr_paths;
 	unsigned nr_priority_groups;
 	struct list_head priority_groups;
 
@@ -479,10 +478,9 @@ static int multipath_ctr(struct dm_targe
 		if (!pg)
 			goto bad;
 
-		m->nr_paths += pg->nr_paths;
+		m->nr_valid_paths += pg->nr_paths;
 		list_add_tail(&pg->list, &m->priority_groups);
 	}
-	m->nr_valid_paths = m->nr_paths;
 
 	ti->private = m;
 	m->ti = ti;
